# GetFloatingLicenseLocation

### Description

Gets the location of the floating license database (or xml file). The location can be published to the License Server by calling the [PublishFloatingLicenseLocation ](https://soraco.readme.io/reference/publishfloatinglicenselocation)method.

In order to ensure that a user has not duplicated the floating license database, you can call [PublishFloatingLicenseLocation ](https://soraco.readme.io/reference/publishfloatinglicenselocation)to set the location of the floating license database when it is initially registered.

Subsequently, when your application starts up, you can call GetFloatingLicenseLocation and compare the registered location with the real location of the database.

Note: this functionality requires a connection to the License Server. You should call the QlmLicense.PingEx method before calling [PublishFloatingLicenseLocation ](https://soraco.readme.io/reference/publishfloatinglicenselocation)to verify if you can connect to the License Server.

```csharp
QlmActivationStatus GetFloatingLicenseLocation(string webServiceUrl,
                                               out string location,
                                               out string errorMessage)
```

### Parameters

| Parameter     |  Type  | Description                     |
| ------------- | :----: | ------------------------------- |
| webServiceUrl | string | URL to the QLM License Server.  |
| location      | string | Path of the floating license DB |
| errorMessage  | string | returned error message          |

### Return

| Type                                                                                                       | Description                      |
| ---------------------------------------------------------------------------------------------------------- | -------------------------------- |
| [QlmActivationStatus](/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/qlmactivationstatus.md) | status of the license activation |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/methods/getfloatinglicenselocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
